Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 363319 - x11-libs/wxGTK-2.8.12: version bump
Summary: x11-libs/wxGTK-2.8.12: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo wxWidgets Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-12 16:40 UTC by Dominique Michel
Modified: 2011-04-20 07:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for wxGTK-2.8.12 (wxGTK-2.8.12.ebuild,3.35 KB, text/plain)
2011-04-12 16:44 UTC, Dominique Michel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Michel 2011-04-12 16:40:47 UTC
The development version of amule depend on wxGTK-2.8.12, so amule next release will depend on it. Gentoo only have wxGTK-2.8.11. 2.8.12 is the last stable release from http://www.wxwidgets.org/
The development version (2.9.1) is masked.
The 2.8.11 ebuild use wxPython tarball which is only 2.8.11.

Reproducible: Always

Steps to Reproduce:
1. emerge wxGTK
2.
3.
Actual Results:  
portage want to emerge wxGTK-2.8.11 even if I need 2.8.12

Expected Results:  
That the last stable release of wkGTK would be in portage.
Comment 1 Dominique Michel 2011-04-12 16:44:39 UTC
Created attachment 269679 [details]
ebuild for wxGTK-2.8.12

I don't understand why patch doesn't find the files for the socket-mutex-fix.patch, so it is just commented out.
Comment 2 Dominique Michel 2011-04-12 16:52:45 UTC
Sorry, I get the commented out patch from amule forum. It fix a bug into wxGTK-2.8.11. The patch is allready included into wxGTK-2.8.12, so we can just remove this line from the ebuild instead.
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2011-04-12 23:34:36 UTC
The comment in the ebuild explains why we use wxpython tarballs.  Until wxpython releases 2.8.12.0 we won't be bumping wxGTK.
Comment 4 Dominique Michel 2011-04-13 16:11:29 UTC
Thanks for the fast answer.

I did understand the comment before posting this bug. My points for asking to bump wxGTK are the following:

1) the last stable release of wxPython is 2.8.11 which is outdated in comparison with wxGTK-2.8.12. wxPython-2.8.11 is from 2010-05-24 when wxGTK-2.8.12 is from 2011-03-28

2) wxGTK-2.8.12 fix some bugs and introduce some new functions: http://biolpc22.york.ac.uk/pub/2.8.12/changes-2.8.12.txt

3) wxGTK is in C++ and is much faster with a program like amule than wxPython. I don't mesured it, but amule start time seem to be at least 10 time faster with wxGTK than with wxPython.

In consequence of 3), I won't look back and will be fine using my own wxGTK ebuild if you don't want to bump it to wxGTK.
Comment 5 Ryan Hill (RETIRED) gentoo-dev 2011-04-13 20:06:41 UTC
That makes no sense.  amule can't use wxpython, it's not a python program.  It always uses wxGTK.

I understand that 2.8.12 is newer than 2.8.11 and fixes some bugs.  But the ebuilds are written for the wxpython tarballs, which contain both wxGTK and wxpython as well as some other stuff we need that isn't in the standalone wxGTK releases.  Upstream tells me they should be releasing it soon.
Comment 6 Ryan Hill (RETIRED) gentoo-dev 2011-04-20 07:45:12 UTC
Fixed.